# Class CIM_SwitchPortPair
extends CIM_SAPSAPDependency

This association represents information regarding port pairings that is used by the SourceRoutingService of a switch.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SAPSAPDependency
|
+--CIM_SwitchPortPair

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This association represents information regarding port pairings that is used by the SourceRoutingService of a switch.
UMLPackagePath | string | CIM::Network::SwitchingBridging
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
BridgeNum | uint16 |
Description | string | A bridge number that uniquely identifies the path provided by this source routing bridge between the segments connected to high and low ports. The purpose of bridge number is to disambiguate between multiple paths connecting the same two LANs.
MappingStrings | string | MIB.IETF|SOURCE-ROUTING-MIB.dot1dPortPairBridgeNum
BridgeState | uint16 |
Description | string | The state of the pairing. Writing 'invalid(3)' to this property removes the association instance.
MappingStrings | string | MIB.IETF|SOURCE-ROUTING-MIB.dot1dPortPairBridgeState
ValueMap | string | 1, 2, 3
Values | string | Enabled, Disabled, Invalid

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_SwitchPortPair | CIM_SwitchPort
Dependent | CIM_SwitchPortPair | CIM_SwitchPort

## Class Methods